## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ResultTreeFragBaseNodeRefListBaseProxy Class Reference

`#include <ResultTreeFragBaseNodeRefListBaseProxy.hpp>`

Inheritance diagram for ResultTreeFragBaseNodeRefListBaseProxy

Collaboration diagram for ResultTreeFragBaseNodeRefListBaseProxy:

List of all members.

## Public Methods

- ResultTreeFragBaseNodeRefListBaseProxy (const ResultTreeFragBase& value)
    Construct an instance from a result tree fragment. More...
- ResultTreeFragBaseNodeRefListBaseProxy (const ResultTreeFragBaseNodeRefListBaseProxy& source)
    Copy constructor. More...
- virtual ~ResultTreeFragBaseNodeRefListBaseProxy ()
- XalanNode* item (size_type index) const
    Returns the `index`th item in the collection. More...
- size_type getLength () const
    Determine the number of nodes in the list. More...
- size_type indexOf (const XalanNode* theNode) const
    Retrieve the zero based index of the node in the list. More...

## Constructor & Destructor Documentation

ResultTreeFragBaseNodeRefListBaseProxy::ResultTreeFragBaseNodeRefListBaseProxy ( | const ResultTreeFragBase & value )

Construct an instance from a result tree fragment.

Parameters:

  value | source result tree fragment.

ResultTreeFragBaseNodeRefListBaseProxy::ResultTreeFragBaseNodeRefListBaseProxy ( | const ResultTreeFragBaseNodeRefListBaseProxy & source )

Copy constructor.

Parameters:

  source | source instance

virtual ResultTreeFragBaseNodeRefListBaseProxy::~ResultTreeFragBaseNodeRefListBaseProxy ( | )`[virtual]`

## Member Function Documentation

size_type ResultTreeFragBaseNodeRefListBaseProxy::getLength ( | ) const`[virtual]`

Determine the number of nodes in the list.

The range of valid child node indices is 0 to `length-1` inclusive.

Returns:
  number of nodes

Reimplemented from NodeRefListBase.

size_type ResultTreeFragBaseNodeRefListBaseProxy::indexOf ( | const XalanNode * theNode ) const`[virtual]`

Retrieve the zero based index of the node in the list.

Parameters:

  theNode | node whose index to find

Returns:
  index of node

Reimplemented from NodeRefListBase.

XalanNode* ResultTreeFragBaseNodeRefListBaseProxy::item ( | size_type index ) const`[virtual]`

Returns the `index`th item in the collection.

If `index` is greater than or equal to the number of nodes in the list, this returns `null`.

Parameters:

  index | index into the collection

Returns:
  node at the `index`th position in the `NodeList`, or `null` if that is not a valid index

Reimplemented from NodeRefListBase.

The documentation for this class was generated from the following file:

- ResultTreeFragBaseNodeRefListBaseProxy.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.